declare class Logger {
    private scope;
    private isDevelopment;
    constructor(scope: string);
    private log;
    debug(message: string, ...args: any[]): void;
    info(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
}
export declare function createLogger(scope: string): Logger;
export declare const coreLogger: Logger;
export declare const apiLogger: Logger;
export declare const stateLogger: Logger;
export declare const configLogger: Logger;
export {};
